/**
 * A decorator that adds a plugin property to the class.
 *
 * @param plugin - {@link ApplyPlugin}
 */
export const plugin = (plugin) => (constructor) => class extends constructor {
    plugin = plugin;
    constructor(...args) {
        super(...args);
        this.plugin = plugin;
    }
};
